using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using TABS.MailCarrier.WebSDK;
using TABS.MailCarrier.WebSDK.Mail;

/// <summary>
/// 수신확인 정보를 GridView에 출력하기 위한 데이터 소스 클래스입니다.
/// </summary>
public class ReadRecipientGroupDataSource
{
    private int _totalCount;

    public ReadRecipientGroupDataSource()
	{
	}

    public ReadRecipientGroup[] GetReadRecipients(int maximumRows, int startRowIndex)
    {
        UserMailbox userMailbox = new UserMailbox(WebUser.CurrentUser.DomainUserID);
        return userMailbox.GetReadRecipientGroups(startRowIndex / maximumRows, maximumRows, out _totalCount);
    }

    public int TotalNumberOfProducts()
    {
        return _totalCount;
    }
}